> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Name with Language

```http GET theme={"system"}
GET https://api.nameshouts.com/api/v2.0/name/albert/german
```

If you know the language for the name, the URI for the GET request should have the following format:

[https://api.nameshouts.com/api/v2.0/name/\{\{name}}/german](https://api.nameshouts.com/api/v2.0/name/%7B%7Bname%7D%7D/%7B%7Blanguage%7D%7D)

These are some of the main attributes that are returned by this request.

| **Attribute** | **Description** |
| - | - |
| id | Unique Identifier For Name |
| language\_id | The id of the language for the audio. To get the language name, see the language section above. |
| path\_directory | Audio Path will give you the link to our audio file on the server. Please note that all our audio files are in .mp3 format. The path for the audio will be: **[https://nslibrary01.blob.core.windows.net/ns-audio/\{path](https://nslibrary01.blob.core.windows.net/ns-audio/%7Bpath) value}.mp3** *Note that the file type (.mp3) needs to be concatenated with our path value.* |

If a name doesn't exist in our database, then the **"name\_res"** will return `null`. **"sim\_names"** will return an array of names similar to the missing name.

## Authorization

| Bearer Token | |
| - | - |
| Token | `{{token}}` |

## Path parameters

**name** `string`

Example: `albert`

**language** `string`

Example: `german`

## Examples

### Get Albert in German

**Example Request**

```bash curl theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert/german'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
{
    "activity_count": {
        "id": 27157,
        "created_at": "2022-08-04 02:50:51",
        "updated_at": "2022-08-10 02:22:53",
        "user_id": 30508,
        "count": 41,
        "limit": 50
    },
    "name_res": [
        {
            "id": 33736,
            "name": "Albert",
            "name_phonetic": "al-behrt",
            "gender": "male",
            "language_id": 28,
            "path_directory": "albert_de",
            "public": 1,
            "created_at": "2020-06-30 00:08:00",
            "updated_at": "2020-06-30 00:08:00"
        }
    ]
}
```

**Headers (6)**

| Key | Value |
| - | - |
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Wed, 10 Aug 2022 02:22:54 GMT |

```bash cURL theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

```json Get Albert in German (200) theme={"system"}
{
    "activity_count": {
        "id": 27157,
        "created_at": "2022-08-04 02:50:51",
        "updated_at": "2022-08-10 02:22:53",
        "user_id": 30508,
        "count": 41,
        "limit": 50
    },
    "name_res": [
        {
            "id": 33736,
            "name": "Albert",
            "name_phonetic": "al-behrt",
            "gender": "male",
            "language_id": 28,
            "path_directory": "albert_de",
            "public": 1,
            "created_at": "2020-06-30 00:08:00",
            "updated_at": "2020-06-30 00:08:00"
        }
    ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.